### Hierarchy

- IPageState

## Index

### Properties

- decrypted
- dirty
- error
- folder
- gridActions
- gridSettings
- gridState
- id
- pdf
- pdfSettings
- ready

## Properties

### decrypted

decrypted: boolean

- Defined in state.ts:80

### dirty

dirty: boolean

- Defined in state.ts:79

### error

error: boolean

- Defined in state.ts:82

### folder

folder: number | string

- Defined in state.ts:77

### gridActions

gridActions: IGridActions

- Defined in state.ts:86

### gridSettings

gridSettings: IGridSettings

- Defined in state.ts:83

### gridState

gridState: IGridState

- Defined in state.ts:85

### id

id: number | string

- Defined in state.ts:76

### pdf

pdf: boolean

- Defined in state.ts:81

### pdfSettings

pdfSettings: IPdfSettings

- Defined in state.ts:84

### ready

ready: boolean

- Defined in state.ts:78

Generated using TypeDoc